For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • POSTSearch
      • POSTAdd Document
      • POSTCreate Document Index
      • GETRetrieve Document Index
      • GETList Document Indexes
      • PATCHUpdate Document Index
      • PUTReplace Document Index
      • DELDestroy
      • DELRemove Document
LogoLogo
BlogLog InRequest Demo
Client SDKDocument Indexes

Update Document Index

Beta
PATCH
https://api.vellum.ai/v1/document-indexes/:id
PATCH
/v1/document-indexes/:id
1import requests
2
3url = "https://api.vellum.ai/v1/document-indexes/id"
4
5payload = {}
6headers = {
7 "X-API-KEY": "<apiKey>",
8 "Content-Type": "application/json"
9}
10
11response = requests.patch(url, json=payload, headers=headers)
12
13print(response.json())
200Updated
1{
2 "id": "string",
3 "created": "2024-01-15T09:30:00Z",
4 "label": "string",
5 "name": "string",
6 "indexing_config": {
7 "vectorizer": {
8 "config": {
9 "add_openai_api_key": true
10 },
11 "model_name": "text-embedding-3-small"
12 },
13 "chunking": {
14 "chunker_name": "reducto-chunker",
15 "chunker_config": {
16 "character_limit": 1000
17 }
18 }
19 },
20 "status": "ACTIVE"
21}
Used to partial update a Document Index given its ID or name.
Was this page helpful?
Previous

Replace Document Index

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Either the Document Index's ID or its unique name

Headers

X-API-VersionstringOptional

Request

This endpoint expects an object.
labelstringOptional1-150 characters

A human-readable label for the document index

statusenumOptional

The current status of the document index

  • ACTIVE - Active
  • ARCHIVED - Archived
  • PENDING_DELETION - Pending Deletion
Allowed values:

Response

idstringformat: "uuid"
createdstringformat: "date-time"
labelstring<=150 characters

A human-readable label for the document index

namestring<=150 characters
A name that uniquely identifies this index within its workspace
indexing_configobject
statusenum

The current status of the document index

  • ACTIVE - Active
  • ARCHIVED - Archived
  • PENDING_DELETION - Pending Deletion
Allowed values: